Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HFaultData

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HFaultData

    public class HFaultData

extends HObject

Persistent representation of a fault.

Field Summary
`static java.lang.String` | `DELETE_FAULTS_BY_INSTANCE`
`static java.lang.String` | `DELETE_FAULTS_BY_PROCESS`

Constructor Summary
`HFaultData()`

Method Summary
`int` | `getActivityId()`
`HLargeData` | `getData()`
`java.lang.String` | `getExplanation()`
`int` | `getLineNo()`
`java.lang.String` | `getName()`
`void` | `setActivityId(int activityId)`
`void` | `setData(HLargeData data)`
`void` | `setExplanation(java.lang.String explanation)`
`void` | `setLineNo(int lineNo)`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_FAULTS_BY_PROCESS

    public static final java.lang.String DELETE_FAULTS_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_FAULTS_BY_INSTANCE

    public static final java.lang.String DELETE_FAULTS_BY_INSTANCE

See Also:
  Constant Field Values

Constructor Detail

### HFaultData

    public HFaultData()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getData

    public HLargeData getData()

### setData

    public void setData(HLargeData data)

### getExplanation

    public java.lang.String getExplanation()

### setExplanation

    public void setExplanation(java.lang.String explanation)

### getLineNo

    public int getLineNo()

### setLineNo

    public void setLineNo(int lineNo)

### getActivityId

    public int getActivityId()

### setActivityId

    public void setActivityId(int activityId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD